Running deploy.sh in the Isaac Docker throws error: Isaac currently only supports Ubuntu 18.04. Your...

I’ve just built and run the ISAAC SDK Docker Image on my Ubuntu 18.04 LTS desktop:

engine/build/docker/create_image.sh
docker volume create isacc-sdk-build-cache
docker run --mount source=isaac-sdk-build-cache,target=/root -v `pwd`:/src/workspace -w /src/workspace --gpus=all -it isaacbuild:latest /bin/bash
root@fababd2a224b:/src/workspace# bazel build ...
WARNING: /src/workspace/packages/viewers/BUILD:14:12: in srcs attribute of cc_binary rule //packages/viewers:libviewers_module.so: please do not import '//packages_x86_64/viewers:libviewers_module.so' directly. You should either move the file to this package or depend on an appropriate rule there
WARNING: /src/workspace/packages/perception/BUILD:34:12: in srcs attribute of cc_binary rule //packages/perception:libperception_module.so: please do not import '//packages_x86_64/perception:libperception_module.so' directly. You should either move the file to this package or depend on an appropriate rule there
WARNING: /src/workspace/packages/ml/BUILD:95:12: in srcs attribute of cc_binary rule //packages/ml:libtorch_module.so: please do not import '//packages_x86_64/ml:libtorch_module.so' directly. You should either move the file to this package or depend on an appropriate rule there
WARNING: /src/workspace/packages/ml/BUILD:15:12: in srcs attribute of cc_binary rule //packages/ml:libml_module.so: please do not import '//packages_x86_64/ml:libml_module.so' directly. You should either move the file to this package or depend on an appropriate rule there
WARNING: /src/workspace/packages/ml/BUILD:33:12: in srcs attribute of cc_binary rule //packages/ml:libtensorrt_module.so: please do not import '//packages_x86_64/ml:libtensorrt_module.so' directly. You should either move the file to this package or depend on an appropriate rule there
WARNING: /src/workspace/packages/map/BUILD:28:12: in srcs attribute of cc_library rule //packages/map:public_headers: please do not import '//packages_x86_64/map:libmap_module.so' directly. You should either move the file to this package or depend on an appropriate rule there
WARNING: /src/workspace/packages/map/BUILD:22:1: in linkstatic attribute of cc_library rule //packages/map:public_headers: setting 'linkstatic=1' is recommended if there are no object files
WARNING: /src/workspace/packages/yolo/BUILD:15:12: in srcs attribute of cc_binary rule //packages/yolo:libyolo_module.so: please do not import '//packages_x86_64/yolo:libyolo_module.so' directly. You should either move the file to this package or depend on an appropriate rule there
WARNING: /src/workspace/packages/ml/BUILD:57:12: in srcs attribute of cc_binary rule //packages/ml:libtensorflow_module.so: please do not import '//packages_x86_64/ml:libtensorflow_module.so' directly. You should either move the file to this package or depend on an appropriate rule there
WARNING: /src/workspace/packages/sensors/BUILD:15:12: in srcs attribute of cc_binary rule //packages/sensors:libv4l2_camera_module.so: please do not import '//packages_x86_64/sensors:libv4l2_camera_module.so' directly. You should either move the file to this package or depend on an appropriate rule there
WARNING: /src/workspace/packages/object_pose_estimation/BUILD:15:12: in srcs attribute of cc_binary rule //packages/object_pose_estimation:libobject_pose_estimation_module.so: please do not import '//packages_x86_64/object_pose_estimation:libobject_pose_estimation_module.so' directly. You should either move the file to this package or depend on an appropriate rule there
WARNING: /root/.cache/bazel/_bazel_root/a08c2e4811c846650b733c6fc815a920/external/opencv_x86_64/BUILD.bazel:11:1: in linkstatic attribute of cc_library rule @opencv_x86_64//:opencv_x86_64: setting 'linkstatic=1' is recommended if there are no object files
WARNING: /src/workspace/packages/audio/BUILD:15:12: in srcs attribute of cc_binary rule //packages/audio:libaudio_module.so: please do not import '//packages_x86_64/audio:libaudio_module.so' directly. You should either move the file to this package or depend on an appropriate rule there
WARNING: /src/workspace/packages/perception/BUILD:15:12: in srcs attribute of cc_binary rule //packages/perception:libstereo_visual_odometry_module.so: please do not import '//packages_x86_64/perception:libstereo_visual_odometry_module.so' directly. You should either move the file to this package or depend on an appropriate rule there
WARNING: /src/workspace/packages/stereo_depth/BUILD:15:12: in srcs attribute of cc_binary rule //packages/stereo_depth:libdisparity_dnn_module.so: please do not import '//packages_x86_64/stereo_depth:libdisparity_dnn_module.so' directly. You should either move the file to this package or depend on an appropriate rule there
INFO: Analysed 1452 targets (0 packages loaded, 0 targets configured).
INFO: Found 1452 targets...
INFO: Elapsed time: 2.581s, Critical Path: 0.00s, Remote (0.00% of the time): [queue: 0.00%, setup: 0.00%, process: 0.00%]
INFO: 0 processes.
INFO: Build completed successfully, 1 total action

After a bazel build, I’m seeing the following error when trying to deploy the engine:

root@fababd2a224b:/src/workspace# ./engine/build/deploy.sh 
./engine/build/deploy.sh: line 35: lsb_release: command not found
Error: Isaac currently only supports Ubuntu 18.04. Your Ubuntu version is .
root@fababd2a224b:/src/workspace# cat /etc/lsb-release 
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=18.04
DISTRIB_CODENAME=bionic
DISTRIB_DESCRIPTION="Ubuntu 18.04.3 LTS"

Any assistance on this issue would be greatly appreciated. What am I doing wrong here?

apt install lsb-core

does the job.